Debian Bug report logs - #213425
dialog fails to display a gauge when run from init scripts

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: MAL <mal@komcept.com>

Date: Tue, 30 Sep 2003 11:18:01 UTC

Severity: normal

Found in version 0.9b-20030910

Fixed in version dialog/0.9b-20031130-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@herndon4.his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#213425; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to MAL <mal@komcept.com>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: MAL <mal@komcept.com>
To: submit@bugs.debian.org
Subject: dialog fails to display a gauge when run from init scripts
Date: Tue, 30 Sep 2003 12:04:29 +0100
Package: dialog
Version: 0.9b-20030910

dialog refuses to display a gauge when run from an init.d script.

To even get it to try, I need to specify a gauge much smaller than the 
screen, (due to dialog getting the size of the console wrong when run 
from init scripts - see my other recent bug report).
In this version of dialog, dialog segfaults, in the 20020814 version, it 
states that the gauge is too big for the screen, until I make it smaller 
than 78x23, at which point it just outputs garbage to stdout and nothing 
to stderr.

msgboxs, infoboxs and menus all work fine from init scripts, (even 
though they exceed what dialog thinks is the maximum screen size).

Is this due to a lack of terminal for ncurses to work with?

MAL






Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 213425-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: 213425-forwarded@bugs.debian.org, MAL <mal@komcept.com>
Subject: Bug#213425: dialog fails to display a gauge when run from init scripts (fwd)
Date: Tue, 30 Sep 2003 13:45:31 +0200 (CEST)
Received today.

[ I assume even if dialog is not supposed to run from an init.d script,
  it should not segfault anyway ].

---------- Forwarded message ----------
From: MAL <mal@komcept.com>
To: submit@bugs.debian.org
Date: Tue, 30 Sep 2003 12:04:29 +0100
Subject: Bug#213425: dialog fails to display a gauge when run from init
    scripts

Package: dialog
Version: 0.9b-20030910

dialog refuses to display a gauge when run from an init.d script.

To even get it to try, I need to specify a gauge much smaller than the
screen, (due to dialog getting the size of the console wrong when run
from init scripts - see my other recent bug report).
In this version of dialog, dialog segfaults, in the 20020814 version, it
states that the gauge is too big for the screen, until I make it smaller
than 78x23, at which point it just outputs garbage to stdout and nothing
to stderr.

msgboxs, infoboxs and menus all work fine from init scripts, (even
though they exceed what dialog thinks is the maximum screen size).

Is this due to a lack of terminal for ncurses to work with?

MAL



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#213425; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #13 received at 213425@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: MAL <mal@komcept.com>, 213425@bugs.debian.org
Subject: Re: Bug#213425: dialog fails to display a gauge when run from init scripts
Date: Tue, 30 Sep 2003 08:18:03 -0400 (EDT)
On Tue, 30 Sep 2003, MAL wrote:

> Package: dialog
> Version: 0.9b-20030910
>
> dialog refuses to display a gauge when run from an init.d script.
>
> To even get it to try, I need to specify a gauge much smaller than the
> screen, (due to dialog getting the size of the console wrong when run
> from init scripts - see my other recent bug report).
> In this version of dialog, dialog segfaults, in the 20020814 version, it
> states that the gauge is too big for the screen, until I make it smaller
> than 78x23, at which point it just outputs garbage to stdout and nothing
> to stderr.
>
> msgboxs, infoboxs and menus all work fine from init scripts, (even
> though they exceed what dialog thinks is the maximum screen size).
>
> Is this due to a lack of terminal for ncurses to work with?

that's what it sounds like.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#213425; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #18 received at 213425@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 213425@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=213425
Date: Thu, 9 Oct 2003 20:21:27 -0400
>                       Debian Bug report logs - #213425
>          dialog fails to display a gauge when run from init scripts

It seems that the problem is dialog can't reopen the terminal as it would
like to when stdin/stdout are redirected.  I can improve on this a little
by adding an option to let the script use a different input file-descriptor.
That way it won't try to reopen the terminal for gauge.  I don't know how
to fix it otherwise.  I've coded that change, and will be testing it over
the next few days.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#213425; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #23 received at 213425@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 213425@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=213425
Date: Sun, 30 Nov 2003 12:27:06 -0500
>                       Debian Bug report logs - #213425
>          dialog fails to display a gauge when run from init scripts
This is addressed in 0.9b-20031126:

2003/11/26
	+ several related changes (Debian #213425):
	  + separate the examples using "--stdout" and "--output-fd" from the
	    normal usage examples.
	  + add "--input-fd" option, provide a sample of its use.
	  + modify init_dialog() to use initscr() unless a "--stdout" option
	    was used.  Some scripts relied on the coincidence that redirecting
	    standard output from dialog would "work".  Before this change
	    init_dialog() assumed that redirected standard output was
	    synonymous with "--stdout" option (not the intended behavior).
	  + modify command-line parsing to look for "--stdout" and "--stderr"
	    options first, allowing only one.
	  + add a check for an environment variable $DIALOG_TTY which provides
	    the older behavior, i.e., try to open the terminal directly if
	    stdout is redirected.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to MAL <mal@komcept.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 213425-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 213425-close@bugs.debian.org
Subject: Bug#213425: fixed in dialog 0.9b-20031130-1
Date: Fri, 05 Dec 2003 11:17:08 -0500
Source: dialog
Source-Version: 0.9b-20031130-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20031130-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20031130-1.diff.gz
dialog_0.9b-20031130-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20031130-1.dsc
dialog_0.9b-20031130-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20031130-1_i386.deb
dialog_0.9b-20031130.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20031130.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 213425@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  5 Dec 2003 16:49:22 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20031130-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 209030 209031 213424 213425 217926
Changes: 
 dialog (0.9b-20031130-1) unstable; urgency=low
 .
   * New upstream release.
   - The "--defaultno" option now also applies to widgets which use
     OK/Cancel buttons (Closes: #209030).
   - There is now a "--help-status" option which allows scripts to
     restore a checklist or radiolist after processing an item-help
     string (Closes: #209031).
   - Now "dialog --no-shadow --print-maxsize" should work (Closes: #213424).
   - The "--stdout" option is no longer assumed if the script using dialog
     redirects the standard output. Use the new environment variable
     DIALOG_TTY to get the old behaviour (Closes: #213425).
   - Exit codes should now be properly documented (Closes: #217926).
   - There are more new features, like the --insecure option for entering
     passwords, see the upstream changelog for details.
   * Added a lot of examples to /usr/share/doc/dialog/examples.
Files: 
 77305ccdd72281c577df94d7530a70a8 596 misc optional dialog_0.9b-20031130-1.dsc
 90cfdc27036bc1fda1047f878d491360 248809 misc optional dialog_0.9b-20031130.orig.tar.gz
 c009b6ff6e106204cb884b79ac35cc12 6940 misc optional dialog_0.9b-20031130-1.diff.gz
 8476702f1fe61d3b5c198e80e54ab19e 157076 misc optional dialog_0.9b-20031130-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD4DBQE/0Kogd9Uuvj7yPNYRAiu+AJiqj3QDoUfSsR/xTj/BzZtr8kABAJ4qUXes
RZuPAQ5wNxNPVP+1k6tGXw==
=Sykt
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:06:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.